summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Thomas Szteliga <ts@websafe.pl>2014-12-02 08:15:35 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-02 08:15:35 +0700
commit946358dcc85244196347efb5d5db3eaf2f852554 (patch)
treea5895e297974ca02d7db4a18d6320d1290b3ca44 /network
parent34298af561ef28ad9f2c8626e3933e6b02786116 (diff)
downloadslackbuilds-946358dcc85244196347efb5d5db3eaf2f852554.tar.gz
slackbuilds-946358dcc85244196347efb5d5db3eaf2f852554.tar.xz
network/sipcalc: Added (IP Subnet Calculator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/sipcalc/README6
-rw-r--r--network/sipcalc/sipcalc.SlackBuild100
-rw-r--r--network/sipcalc/sipcalc.info10
-rw-r--r--network/sipcalc/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/network/sipcalc/README b/network/sipcalc/README
new file mode 100644
index 0000000000..ae323a58f9
--- /dev/null
+++ b/network/sipcalc/README
@@ -0,0 +1,6 @@
+sipcalc (advanced console based ip subnet calculator)
+
+Sipcalc is an ip subnet calculator. Sipcalc, in its simplest form
+takes an ip-address and a subnet mask on the commandline and outputs
+information about the subnet. Sipcalc has support for both IPv4
+and IPv6 addresses.
diff --git a/network/sipcalc/sipcalc.SlackBuild b/network/sipcalc/sipcalc.SlackBuild
new file mode 100644
index 0000000000..754b9d1de2
--- /dev/null
+++ b/network/sipcalc/sipcalc.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for sipcalc
+
+# Copyright (c) 2014 Thomas Szteliga <ts@websafe.pl>
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
+PRGNAM=sipcalc
+VERSION=${VERSION:-1.1.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/sipcalc.txt AUTHORS COPYING ChangeLog INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/sipcalc/sipcalc.info b/network/sipcalc/sipcalc.info
new file mode 100644
index 0000000000..c9360b289d
--- /dev/null
+++ b/network/sipcalc/sipcalc.info
@@ -0,0 +1,10 @@
+PRGNAM="sipcalc"
+VERSION="1.1.6"
+HOMEPAGE="http://www.routemeister.net/projects/sipcalc/"
+DOWNLOAD="http://www.routemeister.net/projects/sipcalc/files/sipcalc-1.1.6.tar.gz"
+MD5SUM="e431c64387f2c8d20e96ad1d7931a845"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Thomas Szteliga"
+EMAIL="ts@websafe.pl"
diff --git a/network/sipcalc/slack-desc b/network/sipcalc/slack-desc
new file mode 100644
index 0000000000..23bfc699cb
--- /dev/null
+++ b/network/sipcalc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sipcalc: sipcalc (advanced console based ip subnet calculator)
+sipcalc:
+sipcalc: Sipcalc is an ip subnet calculator. Sipcalc, in its simplest form
+sipcalc: takes an ip-address and a subnet mask on the commandline and outputs
+sipcalc: information about the subnet. Sipcalc has support for both IPv4
+sipcalc: and IPv6 addresses.
+sipcalc:
+sipcalc: Project homepage: http://www.routemeister.net/projects/sipcalc/
+sipcalc:
+sipcalc:
+sipcalc: